diff -ruN linux-2.4.19/MAINTAINERS linux/MAINTAINERS
--- linux-2.4.19/MAINTAINERS	Wed Aug 14 11:49:45 2002
+++ linux/MAINTAINERS	Tue Jul 23 16:55:55 2002
@@ -426,6 +426,13 @@
 W:	http://www.debian.org/~dz/i8k/
 S:	Maintained
 
+DEVICE MAPPER
+P:	Joe Thornber
+M:	dm@uk.sistina.com
+L:	linux-LVM@sistina.com
+W:	http://www.sistina.com/lvm
+S:	Maintained
+
 DEVICE NUMBER REGISTRY
 P:	H. Peter Anvin
 M:	hpa@zytor.com
diff -ruN linux-2.4.19/drivers/md/Config.in linux/drivers/md/Config.in
--- linux-2.4.19/drivers/md/Config.in	Wed Aug 14 11:51:06 2002
+++ linux/drivers/md/Config.in	Wed Jul 10 13:12:08 2002
@@ -14,5 +14,8 @@
 dep_tristate '  Multipath I/O support' CONFIG_MD_MULTIPATH $CONFIG_BLK_DEV_MD
 
 dep_tristate ' Logical volume manager (LVM) support' CONFIG_BLK_DEV_LVM $CONFIG_MD
+if [ "$CONFIG_EXPERIMENTAL" = "y" ]; then
+   dep_tristate ' Device-mapper support (EXPERIMENTAL)' CONFIG_BLK_DEV_DM $CONFIG_MD
+fi
 
 endmenu
diff -ruN a/Documentation/Configure.help b/Documentation/Configure.help
--- linux-2.4.19/Documentation/Configure.help	Tue Jun 25 14:14:05 2002
+++ linux/Documentation/Configure.help	Tue Jun 25 19:18:26 2002
@@ -1775,6 +1775,20 @@
   want), say M here and read <file:Documentation/modules.txt>.  The
   module will be called lvm-mod.o.
 
+Device-mapper support
+CONFIG_BLK_DEV_DM
+  Device-mapper is a low level volume manager.  It works by allowing
+  people to specify mappings for ranges of logical sectors.  Various
+  mapping types are available, in addition people may write their own
+  modules containing custom mappings if they wish.
+
+  Higher level volume managers such as LVM2 use this driver.
+
+  If you want to compile this as a module, say M here and read 
+  <file:Documentation/modules.txt>.  The module will be called dm-mod.o.
+
+  If unsure, say N.
+
 Multiple devices driver support (RAID and LVM)
 CONFIG_MD
   Support multiple physical spindles through a single logical device.
